Operations Management/Tenant Management (Plus)/Project Operations
POSTProject OperationsSince 2.4.0SynchronousAuth Required
CreateIAM2Project
CreateIAM2Project
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
attributesListOptional.
resourceUuidStringOptional.
quotaMapOptional.
roleUuidsListOptional.
resourceTemplatesListOptional. The resource template.
organizationUuidStringOptional. The organization UUID.
tagUuidsListOptional. The tag UUID.
linkAccountUuidStringOptional. The linked sub-account UUID (Pre-fill with the new sub-account's UUID).
systemTagsListOptional.
userTagsListOptional.
Responses
Endpoint
POST/zstack/v1/iam2/projects
/zstack/v1/iam2/projects
Request Example
curl -X POST 'http://{host}/zstack/v1/iam2/projects' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","attributes":["<attributes>"],"resourceUuid":"<resourceUuid>","quota":{},"roleUuids":["<roleUuids>"],"resourceTemplates":["<resourceTemplates>"],"organizationUuid":"<organizationUuid>","tagUuids":["<tagUuids>"],"linkAccountUuid":"<linkAccountUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "58e83e6bc8ff4b89a6ab5f35b8494a76", "name": "project", "state": "Enabled" } }Change History
This API has no change history records yet.
